# GET Execution

## Get execution by ID

<mark style="color:green;">`GET`</mark> `/v1/api/accounts/{account}/executions/{executionId}`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Path Parameters**

<table><thead><tr><th width="151">Name</th><th width="117">Type</th><th width="136">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>account</code></td><td>string</td><td><mark style="color:red;">Required</mark></td><td>Name of account in NT8</td></tr></tbody></table>

**Query Parameters**

<table><thead><tr><th width="151">Name</th><th width="117">Type</th><th width="136">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>executionId</code></td><td>integer</td><td><mark style="color:red;">Required</mark></td><td>ID of the order execution</td></tr></tbody></table>

**Code Examples**

{% tabs %}
{% tab title="Python" %}

```python
import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/executions/64d62e0891b341419e5986713dec79f4"
headers = {
    "Authorization": f"Bearer {token}",
    "Content-Type": "application/json"
}

try:
    response = requests.get(url, headers=headers)
    print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
    print(f"An error occurred: {e}")
```

{% endtab %}
{% endtabs %}

***

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "id": "550837ff9e784c2895ef6dab22d06be0",
    "type": "NinjaTrader.Cbi.Execution",
    "time": "2025-09-26T18:09:38.3736787",
    "epoch": 1727399378373,
    "name": "Exit",
    "orderId": "d99b2043460849ddae409d1b15cb92ff",
    "account": "Sim101",
    "serverName": "DESKTOP-200Q1V3",
    "instrument": "ES 12-25",
    "instrumentType": "Future",
    "position": 0,
    "marketPosition": "Short",
    "positionStrategy": 0,
    "price": 5804.5,
    "quantity": 1,
    "rate": 1.0,
    "commission": "0.00",
    "slippage": 0.0,
    "lotSize": 1.0,
    "isEntry": false,
    "isEntryStrategy": false,
    "isExit": true,
    "isExitStrategy": true,
    "isInitialEntry": false,
    "isLastExit": true,
    "isSod": false,
    "barsInProgress": 0,
    "exchange": "Default",
    "success": true
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

#### WebSocket API

This request can also be made over the WebSocket API. The `account` and `executionId` path parameters are passed inside `args`.

```json
{
  "action": "rpc",
  "id": "my-request-id",
  "api": "GetExecution",
  "args": {
    "account": "Sim101",
    "executionId": "exec_a1b2c3"
  }
}
```
